Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 131037 - Unable to deactiveate many Code Completion options
Unable to deactiveate many Code Completion options
Status: RESOLVED FIXED
Product: editor
Classification: Unclassified
Component: Completion & Templates
6.x
All All
: P3 (vote)
: 6.x
Assigned To: Dusan Balek
issues@editor
:
Depends on:
Blocks: 152194
  Show dependency treegraph
 
Reported: 2008-03-25 14:15 UTC by plymouthjason
Modified: 2009-05-12 10:22 UTC (History)
0 users

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description plymouthjason 2008-03-25 14:15:55 UTC
Code Completion does not have obvious option to disable 'features':
 o Parameter guessing Code completion (see:
http://wiki.netbeans.org/Java_EditorUsersGuide#section-Java_EditorUsersGuide-HowToUseCodeCompletion for description)
 o Code completion ending character (see:
http://wiki.netbeans.org/Java_EditorUsersGuide#section-Java_EditorUsersGuide-HowToUseCodeCompletion for description)
 o Javadoc completion

While each of these features sounds nice, in reality, many users are required to actually preform MORE work due to their
functionality. Parameter guessing is often incorrect (even if it was correct much of the time, it should still be an
option); ending characters are not helpful in many cases. Javadoc completion is not always desired.

The Netbeans 5.5 code-completion feature-set is preferable to many users; it is necessary to allow users to deactivate
undesired functionality. 'Smarter' is not always smarter.
Comment 1 Max Sauer 2008-03-25 14:34:54 UTC
Thanks for a nice enhancement, we will consider this. Note that there are some options under Tools|Options|Editor|General|Code Completion (Guess Filled 
Method Arguments, etc.).
Comment 2 plymouthjason 2008-03-25 14:56:27 UTC
As of Netbeans 6.0, 6.0.1 (6.1 beta also); the described options under "Tools|Options|Editor|General|Code Completion"
are not a complete list of all code-completion options; there currently is no option for "Guess Filled Method Arguments"
(as described by msauer); however, this would be the ideal place to capture the options.
Comment 3 Vitezslav Stejskal 2008-03-25 16:27:40 UTC
"Guess Filled Method Arguments" was added after Nb 6.1 beta, please check dev builds.
Comment 4 Quality Engineering 2008-10-31 04:46:25 UTC
Integrated into 'main-golden', will be available in build *200810310201* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/0fb6bb829f57
User: Dusan Balek <dbalek@netbeans.org>
Log: Couple of code completion options added as requested by issues #74724, #131037, and #140695.
Comment 5 David Strupl 2009-05-12 10:22:14 UTC
All the requested options has been implemented.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo